(in-package :usocket)

(defclass datagram-server-usocket (usocket)
  ((process :initarg :process
	    :accessor process
	    :documentation "UDP server thread"))
  (:documentation "UDP server socket"))

(defun datagram-server-usocket-p (socket)
  (typep socket 'datagram-server-usocket))

(defun make-datagram-server-socket (socket process)
  (unless socket
    (error 'invalid-socket))
  (make-instance 'datagram-server-usocket
		 :socket socket
		 :process process))

(defun start-udp-server (host port &key (function #'identity))
  (declare (ignore host port function)))

(defun stop-udp-server (usocket)
  (declare (ignore usocket)))

(defun udp-server-loop ())
